events {	
    worker_connections 768;
}
http {

	sendfile on;
	tcp_nopush on;
	tcp_nodelay on;
	keepalive_timeout 65;
	types_hash_max_size 2048;
    server {
        server_name localhost;
        listen 80;
        client_max_body_size 5G;
        location / {
            proxy_pass http://localhost:8080/;
            proxy_redirect default;
            proxy_set_header Host $host;
            proxy_read_timeout 6000;
            proxy_connect_timeout 6000;
            proxy_send_timeout 6000;
            uwsgi_read_timeout 6000s;
            #add_header Access-Control-Allow-Origin *;
        }
        location /socket.io/ {
            proxy_http_version 1.1;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "Upgrade";
            proxy_set_header Host $host;
            proxy_pass http://localhost:6789/socket.io/;
        }
        location /healthz {
            return 200 'OK';
            add_header Content-Type text/plain;
        }
    }
}

